<nb-card>
  <nb-card-header>Save module</nb-card-header>
  <nb-card-body [formGroup]="form">
    <div class="row">
      <div class="col-6 upload">
        <label for="module-image">
          <button nbTooltip="Add you module image" nbButton disabled status="basic">
            Add Image
            <nb-icon icon="plus"></nb-icon>
          </button>
        </label>

        <!-- <input id="module-image" type="file" (change)="addImage($event)" /> -->
      </div>
      <div class="col-6">
        <nb-toggle formControlName="exposed">Exposed</nb-toggle>
      </div>
    </div>
    <div class="row">
      <div class="col-9">
        <div class="form-group">
          <label class="label" for="input-module-name">Module name</label>
          <input
            nbInput
            type="text"
            id="input-module-name"
            formControlName="name"
            autofocus
            fullWidth
            [status]="name.touched ? (name.invalid ? 'danger' : 'success') : 'basic'"
          />
          <ng-container *ngIf="name.invalid && name.touched">
            <p class="caption status-danger" *ngIf="name.errors?.required">The Module name is required</p>
          </ng-container>
        </div>
      </div>

      <div class="col-3">
        <div class="form-group">
          <label class="label" for="input-module-version">Module version</label>
          <input
            nbInput
            type="number"
            id="input-module-version"
            formControlName="version"
            fullWidth
            [status]="version.touched ? (version.invalid ? 'danger' : 'success') : 'basic'"
          />
          <ng-container *ngIf="version.invalid && version.touched">
            <p class="caption status-danger" *ngIf="version.errors?.required">The Module version is required</p>
          </ng-container>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <div class="form-group">
          <label class="label" for="input-module-description">Module description</label>

          <textarea
            nbInput
            fullWidth
            type="text"
            id="description"
            placeholder="A nice description about your module"
            formControlName="description"
            [status]="description.touched ? (description.invalid ? 'danger' : 'success') : 'basic'"
          ></textarea>
          <ng-container *ngIf="description.invalid && description.touched">
            <p class="caption status-danger" *ngIf="description.errors?.required">The Module description is required</p>
          </ng-container>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <div class="form-group">
          <label class="label" for="input-module-description">Module disclaimer</label>

          <textarea
            nbInput
            fullWidth
            type="text"
            id="disclaimer"
            placeholder="The disclaimer shown at the start of a module"
            formControlName="disclaimer"
            [status]="disclaimer.touched ? (disclaimer.invalid ? 'danger' : 'success') : 'basic'"
          ></textarea>
          <ng-container *ngIf="disclaimer.invalid && disclaimer.touched">
            <p class="caption status-danger" *ngIf="disclaimer.errors?.required">The Module disclaimer is required</p>
          </ng-container>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <div class="form-group">
          <label class="label" for="input-module-description">Module PDF disclaimer</label>

          <textarea
            nbInput
            fullWidth
            type="text"
            id="pdfDisclaimer"
            placeholder="The disclaimer shown in the PDF report"
            formControlName="pdfDisclaimer"
            [status]="pdfDisclaimer.touched ? (pdfDisclaimer.invalid ? 'danger' : 'success') : 'basic'"
          ></textarea>
          <ng-container *ngIf="pdfDisclaimer.invalid && pdfDisclaimer.touched">
            <p class="caption status-danger" *ngIf="pdfDisclaimer.errors?.required">
              The Module pdf disclaimer is required
            </p>
          </ng-container>
        </div>
      </div>
    </div>
  </nb-card-body>
  <nb-card-footer>
    <button nbButton status="danger" (click)="cancel()" class="mr-2">Cancel</button>
    <button nbButton status="success" (click)="submit()" [disabled]="form.invalid">Submit</button>
  </nb-card-footer>
</nb-card>
